Errore:(2, 0) Plugin con id ‘molo’ non trovata

Ieri ho aggiornato Android Studio alla versione 3.0, ma sto lavorando con LibGdx e dopo l’aggiornamento non posso costruire il mio progetto.

Quando vado a provare a costruire, mi dà un errore:

Errore:(2, 0) Plugin con id ‘molo’ non trovata

Come posso risolvere questo problema?

InformationsquelleAutor B. Eugenio | 2017-10-27

 

2 Replies
  1. 48

    Attualmente html modulo utilizzando deprecato jetty plugin, che viene rimosso in Gradle versione 4.1.

    Android 3.0 Studio utilizzando Gradle-4.1 e android-gradle-plugin:3.0.0

    Gradle 4.1 non è ancora supportato in LibGDX, c’è un problema per lo stesso, che è ora aggiornato per Gradle 4.6


    Se si vuole ancora utilizzare Android 3.0 Studio

    • Downgrade Gradle a 3,3 da 4.1

      Trovare gradle cartella all’interno del vostro progetto, Aprire gradle-wrapper.properties e cambiare distributionUrl per 3,3

      distributionUrl=https\://services.gradle.org/distributions/gradle-3.3-all.zip
    • Downgrade Android-gradle-plugin 2.3.3 dalla 3.0.0

      Aprire root build.gradle file e trovare un artefatto e di modificare la versione

      classpath 'com.android.tools.build:gradle:2.3.3'
    • Commento/eliminare google() da repo elenco

    ——————————————————————————–

    MODIFICA : Aggiornamento LibGDX progetto di Gradle 4.6 – COME UTENTE

    1. Aggiornamento Gradle a 4.6 :

      distributionUrl=https\://services.gradle.org/distributions/gradle-4.6-all.zip
    2. Trovare la radice build.gradle file di progetto e aggiungere Google Maven repo in project repositories list così come in buildScript repo list

      repositories {
          //.. 
          google()
          jcenter()         //Required for org.jetbrains.trove4j:trove4j library
      }
    3. Aggiornamento Android Gradle Plugin :

      classpath 'com.android.tools.build:gradle:3.1.3'

      Problemi noti con Android Gradle Plugin

      Configurazione su richiesta con Gradle 4.6 e sopra:

      Se si utilizza Android Gradle Plugin 3.0.x o 3.1.x con Gradle 4.6
      e sopra, è necessario disattivare la configurazione su richiesta, per evitare alcuni
      imprevedibili errori di compilazione. (Se si utilizza Android Gradle Plugin
      3.2.0 o superiore, non è necessario intraprendere alcuna azione per disattivare la configurazione su richiesta.)

      Disattivare la configurazione su richiesta, nella vostra gradle.properties file, come mostrato di seguito:

      • org.gradle.configureondemand=false

      • Per disattivare la configurazione su richiesta in Android Studio impostazioni, scegliere File – > Impostazioni (Android Studio > Preferenze su Mac), selezionare il Compilatore categoria nel riquadro di sinistra, e deselezionare la Configurare la casella di controllo su richiesta.

        In Android Studio 3.2 Beta 1 e superiore, le opzioni per abilitare la configurazione di richiesta sono state rimosse.

    4. Aggiornamento Android buildToolsVersion per 27.0.3 e SdkVersion per 27

    5. Rimuovere instrumentTest.setRoot('tests') da sourceSets all’interno di android build.gradle file
    6. sostituire tutti compile con implementation all’interno della radice build.gradle file
    7. Nuovo GWT Gradle Plugin aggiunto nel codice html del modulo, controllare le ultime costruire.gradle di html modulo.

    Eseguire il progetto con Run Configuration o Sul Terminale utilizzando gradle task.


    Se si sta andando per creare un nuovo progetto di utilizzo gdx-setup.jar di ultima build.

    • Grande, questo ha aiutato! C’è un modo per scoprire che l’aggiornamento è sicuro da applicare prima si blocca il vostro progetto?
    • si blocca ?? Se stai parlando di desktop crash, è possibile utilizzare il Terminale per eseguire il progetto di desktop.
    • Dopo l’aggiornamento non ero in grado di costruire il progetto. Che l’incidente di cui sto parlando. Vorrei sapere che cosa l’aggiornamento è sicuro prima di eseguirlo.
    • si prega di mostrare il vostro crash log ?
    • Ho effettuato il downgrade Gradle come hai spiegato e funziona di nuovo bene. L’errore era lo stesso Eugenio, ha spiegato a sua domanda, al top.
    • Si può eseguire il modulo Desktop anche con questa correzione?
    • sì, è possibile eseguire il modulo desktop
    • Ha funzionato per me! Grazie!
    • Grazie lavorato anche per me, appena trovato il “gradle-wrapper.proprietà” all’interno della cartella “gradle/wrapper” e ho trovato sia “com.android.strumenti.costruzione:gradle:3.0.1” e “google()” in “costruire.gradle” file. Spero che questo aiuta, perché tutti sono tenuti a venire a questa risposta di cui non si ha familiarità con gradle opzioni. Buona Giornata
    • Ha lavorato anche per me. Se si ottiene un errore del tipo “Errore:(74, 0) Gradle DSL metodo non trovata: ‘attuazione()'” assicurarsi di sostituire tutti i ‘attuazione’ chiama ‘compilare’ a costruire.gradle progetti di dipendenze.

Lascia un commento